# Created by pyp2rpm-3.3.2
%global pypi_name adal

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        1%{?dist}
Summary:        The ADAL for Python library makes it easy for python application to authenticate to Azure Active Directory (AAD) in order to access AAD protected web resources

License:        MIT
URL:            https://github.com/AzureAD/azure-activedirectory-library-for-python
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(cryptography) >= 1.1.0
Requires:       python2dist(pyjwt) >= 1.0.0
Requires:       python2dist(python-dateutil) >= 2.1.0
Requires:       python2dist(requests) >= 2.0.0
%description -n python2-%{pypi_name}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(cryptography) >= 1.1.0
Requires:       python3dist(pyjwt) >= 1.0.0
Requires:       python3dist(python-dateutil) >= 2.1.0
Requires:       python3dist(requests) >= 2.0.0
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%doc README.md
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Mar 31 2020 mockbuilder - 1.2.2-1
- Initial package.